classes:
- system.git.client
- system.linux.system.single
- system.openssh.client.cluster.cloudlab
- system.openssh.server.team.tcpcloud
- system.salt.minion.master
- system.salt.master.single
- system.salt.master.formula.ansible
- system.salt.master.formula.linux
- system.salt.master.formula.puppet
- system.salt.master.formula.saltstack
- system.salt.master.formula.wordpress
- system.reclass.storage.salt
- system.reclass.storage.system.webapp_stg
#- system.puppet.master.single
#- system.hiera.storage.puppet
- system.ansible.client.single
- system.ansible.server.single
- system.ansible.server.playbook.wordpress
parameters:
  _param:
    hiera_data_repository: git@repo1.robotice.cz:hiera-models/dels-puppet-model.git
    hiera_data_revision: master
    reclass_data_repository: git@repo1.robotice.cz:reclass-models/dels-salt-model.git
    reclass_data_revision: master
    reclass_config_master: 192.168.11.100
    salt_master_host: 127.0.0.1
    salt_master_environment_name: dev
    salt_master_environment_repository: git@repo1.robotice.cz:saltstack-formulas
    salt_master_environment_revision: develop
    ansible_server_environment_repository: git@repo1.robotice.cz:ansible-playbooks
    ansible_server_environment_revision: develop
  linux:
    system:
      name: cfg01
      domain: int.dls.vpc.cloudlab.cz
      package:
        sshfs:
          version: latest
        htop:
          version: latest
        byobu:
          version: latest
  salt:
    master:
      accept_policy: auto_accept